/*
 * Created on 8-jul-2007
 */
package riven.classpath.math;

public class Vec4 {
	public float x, y, z, w;

	public Vec4() {
		this(0.0f, 0.0f, 0.0f, 0.0f);
	}

	public Vec4(float x, float y, float z, float w) {
		this.x = x;
		this.y = y;
		this.z = z;
		this.w = w;
	}

	@Override
	public int hashCode() {
		int hashCode = 0;
		if (!true) {
			hashCode ^= 13 * Float.floatToRawIntBits(x);
			hashCode ^= 17 * Float.floatToRawIntBits(y);
			hashCode ^= 29 * Float.floatToRawIntBits(z);
			hashCode ^= 31 * Float.floatToRawIntBits(w);
		} else {
			hashCode ^= 13 * (int) (x / EasyMathOld.EQUALITY_MARGIN.get().floatValue());
			hashCode ^= 17 * (int) (y / EasyMathOld.EQUALITY_MARGIN.get().floatValue());
			hashCode ^= 29 * (int) (z / EasyMathOld.EQUALITY_MARGIN.get().floatValue());
			hashCode ^= 31 * (int) (w / EasyMathOld.EQUALITY_MARGIN.get().floatValue());
		}
		return hashCode;
	}

	@Override
	public String toString() {
		return "Vec4[" + x + ", " + y + ", " + z + ", " + w + "]";
	}
}
